Question: platypus building error
0
gravatar for sanariyaz21
18 months ago by
sanariyaz210 wrote:

hi ,

i am trying to intsall platypus using the following commands : for compilinf platypus: sudo apt-get install libz-dev and i get the following : Reading package lists... Done Building dependency tree
Reading state information... Done Note, selecting 'zlib1g-dev' instead of 'libz-dev' zlib1g-dev is already the newest version (1:1.2.8.dfsg-2ubuntu5.1). The following packages were automatically installed and are no longer required: i965-va-driver libaacs0 libavcodec57 libavformat57 libavutil55 libbdplus0 libbluray1 libchromaprint-tools libchromaprint0 libcrystalhd3 libdiscid0 libgme0 libgsm1 libmodplug1 libmp3lame0 libopenjpeg5 libqt4-designer libqt4-help libqt4-scripttools libqt4-svg libqt4-test libqtassistantclient4 libschroedinger-1.0-0 libshine3 libsoxr0 libssh-gcrypt-4 libswresample2 libtwolame0 libva1 libx264-148 libx265-79 libxvidcore4 libzvbi-common libzvbi0 mesa-va-drivers python-libdiscid python-mutagen python-qt4 python-sip snap-confine ubuntu-core-launcher va-driver-all Use 'sudo apt autoremove' to remove them. 0 upgraded, 0 newly installed, 0 to remove and 14 not upgraded.

then i downloaded the latest platypus release from the link : http://www.well.ox.ac.uk/platypus

after it i gave the following commnads :

$tar xvzf Platypus-latest.tgz

$cd Platypus_0.8.1/

$ ./buildPlatypus.sh

which gave me an error : suhail@suhail-HP-Notebook:~/Desktop/Platypus_0.8.1$ ./buildPlatypus.sh Building Platypus running build running build_py running build running build_py running build running build_py running build running build_py running build running build_py running build running build_py running build running build_py running build running build_py running build running build_ext building 'htslibWrapper' extension x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-lMBuS3/python2.7-2.7.12=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c htslibWrapper.c -o build/temp.linux-x86_64-2.7/htslibWrapper.o -msse2 -msse3 -funroll-loops -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -fPIC htslibWrapper.c:243:25: fatal error: htslib/bgzf.h: No such file or directory #include "htslib/bgzf.h" ^ compilation terminated. error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

Setup failed. Check previous lines for errors.

how can i successfully build it .

help needed again !!!!

thank you

error platypus • 851 views
ADD COMMENTlink modified 18 months ago by sayerskt10 • written 18 months ago by sanariyaz210
0
gravatar for sayerskt
18 months ago by
sayerskt10
sayerskt10 wrote:

Check the Dockerfile Andy provides on the Platypus GitHub. There are some environment variables and such that must be set. Alternatively it can be installed via Bioconda or pulled from the Biocontainers Docker Hub account.

https://github.com/andyrimmer/Platypus/blob/master/Dockerfile

ADD COMMENTlink written 18 months ago by sayerskt10

i tried these commands as follows but still get the same error: export C_INCLUDE_PATH=/home/suhail/Desktop/Platypus_0.8.1/include export LIBRARY_PATH=/home/suhail/Desktop/Platypus_0.8.1/lib export LD_ LIBRARY_PATH=/home/suhail/Desktop/Platypus_0.8.1/lib

kindly suggest me something specific as i am not that well versed

ADD REPLYlink written 18 months ago by sanariyaz210

Read the readme on the github it has recommendations for the other paths that might need to be changed, they are different for OS X as well. https://github.com/andyrimmer/Platypus

I would suggest using bioconda or a container.

ADD REPLYlink written 18 months ago by sayerskt10

i read that and tried downloading the background files but while building htslib i have downloaded htslib for platypus while bulding htslib i downloaded and then started with it i got the result as follows :

uhail@suhail-HP-Notebook:~/Desktop/htslib-1.5$ ./configure checking for gcc... gcc checking whether the C compiler works... yes checking for C compiler default output file name... a.out checking for suffix of executables... checking whether we are cross compiling... no checking for suffix of object files... o checking whether we are using the GNU C compiler... yes checking whether gcc accepts -g... yes checking for gcc option to accept ISO C89... none needed checking for ranlib... ranlib checking for special C compiler options needed for large files... no checking for _FILE_OFFSET_BITS value needed for large files... no checking shared library type... plain .so checking how to run the C preprocessor... gcc -E checking for grep that handles long lines and -e... /bin/grep checking for egrep... /bin/grep -E checking for ANSI C header files... yes checking for sys/types.h... yes checking for sys/stat.h... yes checking for stdlib.h... yes checking for string.h... yes checking for memory.h... yes checking for strings.h... yes checking for inttypes.h... yes checking for stdint.h... yes checking for unistd.h... yes checking for stdlib.h... (cached) yes checking for unistd.h... (cached) yes checking for sys/param.h... yes checking for getpagesize... yes checking for working mmap... yes checking for gmtime_r... yes checking whether fdatasync is declared... yes checking for fdatasync... yes checking for library containing log... -lm checking for zlib.h... yes checking for inflate in -lz... yes checking for library containing connect... none required checking for bzlib.h... yes checking for BZ2_bzBuffToBuffCompress in -lbz2... yes checking for lzma.h... yes checking for lzma_easy_buffer_encode in -llzma... yes checking for curl_easy_pause in -lcurl... yes checking for CCHmac... no checking for library containing HMAC... -lcrypto checking whether PTHREAD_MUTEX_RECURSIVE is declared... yes configure: creating ./config.status config.status: creating config.mk config.status: creating htslib.pc.tmp config.status: creating config.h config.status: config.h is unchanged

but when do the following there are errors in this way :

suhail@suhail-HP-Notebook:~/Desktop/htslib-1.5$ make install mkdir -p -m 755 /usr/local/bin /usr/local/include /usr/local/include/htslib /usr/local/lib /usr/local/share/man/man1 /usr/local/share/man/man5 /usr/local/lib/pkgconfig if test -n ""; then mkdir -p -m 755 ; fi install -p -m 644 libhts.so /usr/local/lib/libhts.so.1.5 install: cannot remove '/usr/local/lib/libhts.so.1.5': Permission denied Makefile:441: recipe for target 'install-so' failed make: * [install-so] Error 1

help me where i am going wrong ?

ADD REPLYlink written 18 months ago by sanariyaz210
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1063 users visited in the last hour